# Uses of Enum
io.dapr.client.DaprHttp.HttpMethods

Packages that use DaprHttp.HttpMethods
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of DaprHttp.HttpMethods in io.dapr.client

Methods in io.dapr.client that return DaprHttp.HttpMethods
Modifier and Type
Method
Description
`static DaprHttp.HttpMethods`
DaprHttp.HttpMethods.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprHttp.HttpMethods[]`
DaprHttp.HttpMethods.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of DaprHttp.HttpMethods in io.dapr.client.domain

Methods in io.dapr.client.domain that return DaprHttp.HttpMethods
Modifier and Type
Method
Description
`DaprHttp.HttpMethods`
HttpExtension.`getMethod()`
Constructors in io.dapr.client.domain with parameters of type DaprHttp.HttpMethods
Modifier
Constructor
Description
``
`HttpExtension(DaprHttp.HttpMethods method)`
Construct a HttpExtension object.
``
`HttpExtension(DaprHttp.HttpMethods method, Map<String,List<String>> queryParams, Map<String,String> headers)`
Construct a HttpExtension object.